Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.DynamicAny
Class DynArrayHelper

    java.lang.Object
      |
      +--org.omg.DynamicAny.DynArrayHelper

public class DynArrayHelper
extends java.lang.Object

Helper class for : DynArray

Author:
  OpenORB Compiler

Constructor Summary
`DynArrayHelper()`

Method Summary
`static DynArray` | `extract(Any a)` Extract DynArray from an any
`static java.lang.String` | `id()` Return the DynArray IDL ID
`static void` | `insert(Any a, DynArray t)` Insert DynArray into an any
`static DynArray` | `narrow(Object obj)` Narrow CORBA::Object to DynArray
`static DynArray` | `read(InputStream istream)` Read DynArray from a marshalled stream
`static TypeCode` | `type()` Return the DynArray TypeCode
`static DynArray` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to DynArray
`static void` | `write(OutputStream ostream, DynArray value)` Write DynArray into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynArrayHelper

    public DynArrayHelper()

Method Detail

### insert

    public static void insert(Any a,
                              DynArray t)

  Insert DynArray into an any
  Parameters:
    `a` - an any
    `t` - DynArray value

### extract

    public static DynArray extract(Any a)

  Extract DynArray from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted DynArray value

### type

    public static TypeCode type()

  Return the DynArray TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the DynArray IDL ID
  Returns:
    an ID

### read

    public static DynArray read(InputStream istream)

  Read DynArray from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed DynArray value

### write

    public static void write(OutputStream ostream,
                             DynArray value)

  Write DynArray into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - DynArray value

### narrow

    public static DynArray narrow(Object obj)

  Narrow CORBA::Object to DynArray
  Parameters:
    `obj` - the CORBA Object
  Returns:
    DynArray Object

### unchecked_narrow

    public static DynArray unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to DynArray
  Parameters:
    `obj` - the CORBA Object
  Returns:
    DynArray Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD